SwishResults->nextResult
SwishSearch->execute
Swish Functions
PHP Manual

# SwishResults->seekResult

(No version information available, might be only in CVS)

SwishResults->seekResult — Set current seek pointer to the given position

### Description

int SwishResults->seekResult ( int `$position` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`position`

  Zero-based position number. Cannot be less than zero.

### Return Values

Returns new position value on success.

### Errors/Exceptions

Throws SwishException on error.

### Examples

Example #1 Basic SwishResults->seekResult() example

`<?php
try {
$swish = new Swish("index.swish-e");
$search = $swish->prepare();
$results = $search->execute("lost");
var_dump($results->seekResult(0)); //this will succeed
var_dump($results->seekResult(100)); //this will fail
} catch (SwishException $e) {
echo "Error: ", $e->getMessage(), "\n";
}
?>`

The above example will output something similar to:

    int(0)
    Error: No more results

SwishResults->nextResult
SwishSearch->execute
Swish Functions
PHP Manual